### Method

# Vips Image transpose3d

#### Declaration [src]

    int
    vips_transpose3d (
      VipsImage* in,
      VipsImage** out,
      ...
    )

#### Description [src]

Transpose a volumetric image.

Volumetric images are very tall, thin images, with the metadata item `VIPS_META_PAGE_HEIGHT` set to the height of each sub-image.

This operation swaps the two major dimensions, so that page N in the output contains the Nth scanline, in order, from each input page.

You can override the `VIPS_META_PAGE_HEIGHT` metadata item with the optional `page_height` parameter.

`VIPS_META_PAGE_HEIGHT` in the output image is the number of pages in the input image.

Optional arguments

- `page_height`: `gint`, size of each input page

See also

`vips_grid()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.